# We used to define this dynamically, but the Fedora buildsystem chokes on
# using this for the versioned Requires on tcl(abi), so we hardcode it.
# This sucks, but there is no other clean way around it, because tcl
# (and tclsh) aren't in the default buildroot.
%{!?tcl_version: %define tcl_version 8.5}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%define realname zlib

Name:		tcl-%{realname}
Version:	2.0.1
Release:	0.5.svn40%{?dist}
Summary:	Tcl extension for zlib support
Group:		System Environment/Libraries
License:	MIT
URL:		http://svn.scheffers.net/
# Snapshot of SVN40 downloaded on June 26, 2008
# Originally found at http://svn.scheffers.net/zlib.tar.gz
Source0:	%{realname}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	tcl-devel, tk-devel, zlib-devel
Requires:	tcl(abi) = %{tcl_version}

%description
This is extension is a standalone version of the tclkit [zlib] 
command/extension. See http://wiki.tcl.tk/zlib for command syntax.

%package devel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Summary:	Development files for %{name}
Provides:	tcl-%{realname}-static = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q -n %{realname}

%build
%configure --with-tcl=%{_libdir}
# Can't use smp_mflags here. :(
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install-binaries install-libraries
install -d %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_libdir}/%{realname}%{version} %{buildroot}%{tcl_sitearch}/%{realname}%{version}
rm -rf %{buildroot}%{tcl_sitearch}/%{realname}%{version}/zlib.c
chmod -x %{buildroot}%{tcl_sitearch}/%{realname}%{version}/libzlibstub*.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%dir %{tcl_sitearch}/%{realname}%{version}
%{tcl_sitearch}/%{realname}%{version}/*.so
%{tcl_sitearch}/%{realname}%{version}/pkgIndex.tcl

%files devel
%defattr(-,root,root,-)
%{tcl_sitearch}/%{realname}%{version}/libzlibstub*.a
%{_includedir}/*.h

%changelog
* Wed Aug 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.1-0.5.svn40
- drop url from source0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-0.4.svn40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-0.3.svn40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.1-0.2.svn40
- fix tcl version macro

* Thu Jun 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.1-0.1.svn40
- initial package for Fedora
